// #############################################################################
// # lib_motdriver_exp.h - Table for better control on lower speeds            #
// #############################################################################
// # Version: 1.0 - Compiler: AVR-GCC 4.3.3 (Linux)                            #
// #  (c) 2009 by Malte Pöggel - www.MALTEPOEGGEL.de - malte@maltepoeggel.de   #
// #############################################################################
// #  This program is free software; you can redistribute it and/or modify it  #
// #   under the terms of the GNU General Public License as published by the   #
// #        Free Software Foundation; either version 3 of the License,         #
// #                  or (at your option) any later version.                   #
// #                                                                           #
// #      This program is distributed in the hope that it will be useful,      #
// #      but WITHOUT ANY WARRANTY; without even the implied warranty of       #
// #           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            #
// #           See the GNU General Public License for more details.            #
// #                                                                           #
// #  You should have received a copy of the GNU General Public License along  #
// #      with this program; if not, see <http://www.gnu.org/licenses/>.       #
// #############################################################################

#ifndef MOTEXP_H
  #define MOTEXP_H

  #include <avr/io.h>
  #include <avr/pgmspace.h>
 
  prog_uchar mot_exp[]= {
							0,   0,   0,   0,   0,   1,   1,   1,   1,   1, // 10
                            1,   2,   2,   2,   3,   3,   3,   4,   4,   4, // 20
                            4,   4,   5,   5,   6,   6,   6,   6,   6,   7, // 30
                            7,   7,   7,   8,   8,   8,   8,   8,   8,   8, // 40
                            8,   8,   8,   8,   8,   9,   9,   9,   9,   9, // 50
                            9,   9,   9,   9,   9,   9,   9,   9,   9,   9, // 60
						    9,   9,   9,   9,  10,  10,  10,  10,  10,  10, // 70
                           10,  10,  10,  10,  11,  11,  11,  11,  11,  11, // 80
                           11,  11,  11,  11,  11,  11,  11,  11,  11,  11, // 90
                           12,  12,  12,  12,  12,  12,  12,  12,  12,  12, // 100
                           12,  12,  12,  12,  12,  12,  12,  12,  12,  12, // 110
                           12,  12,  12,  12,  12,  12,  13,  13,  13,  14, // 120
						   14,  14,  14,  15,  15,  15,  16,  16,  16,  17, // 130
                           17,  18,  18,  18,  19,  19,  20,  20,  20,  21, // 140
						   21,  22,  22,  23,  23,  24,  24,  25,  26,  26, // 150
						   27,  27,  28,  28,  29,  30,  30,  31,  32,  32, // 160
						   33,  34,  35,  35,  36,  37,  38,  39,  40,  40, // 170
						   41,  42,  43,  44,  45,  46,  47,  48,  49,  50, // 180
						   51,  53,  54,  55,  56,  57,  59,  60,  61,  63, // 190
						   64,  65,  67,  68,  70,  71,  73,  75,  76,  78, // 200
						   80,  81,  83,  85,  87,  89,  91,  93,  95,  97, // 210
						   99, 101, 104, 106, 108, 111, 113, 116, 118, 121, // 220
						  123, 126, 129, 132, 135, 138, 141, 144, 147, 150, // 230
						  154, 157, 160, 164, 168, 171, 175, 179, 183, 187, // 240
						  191, 195, 200, 204, 209, 213, 218, 223, 228, 233, // 250
						  238, 243, 249, 254, 254, 254						 // 254
						};
  
#endif

